Verify a payee's name
curl --request POST \
--url https://api.next.orenda.finance/v1/beneficiaries/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"beneficiary": {
"name": "Ada Lovelace"
},
"account": {
"type": "uk",
"sortCode": "040506",
"accountNumber": "87654321"
}
}
'import requests
url = "https://api.next.orenda.finance/v1/beneficiaries/verify"
payload = {
"beneficiary": { "name": "Ada Lovelace" },
"account": {
"type": "uk",
"sortCode": "040506",
"accountNumber": "87654321"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
beneficiary: {name: 'Ada Lovelace'},
account: {type: 'uk', sortCode: '040506', accountNumber: '87654321'}
})
};
fetch('https://api.next.orenda.finance/v1/beneficiaries/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.next.orenda.finance/v1/beneficiaries/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'beneficiary' => [
'name' => 'Ada Lovelace'
],
'account' => [
'type' => 'uk',
'sortCode' => '040506',
'accountNumber' => '87654321'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.next.orenda.finance/v1/beneficiaries/verify"
payload := strings.NewReader("{\n \"beneficiary\": {\n \"name\": \"Ada Lovelace\"\n },\n \"account\": {\n \"type\": \"uk\",\n \"sortCode\": \"040506\",\n \"accountNumber\": \"87654321\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.next.orenda.finance/v1/beneficiaries/verify")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"beneficiary\": {\n \"name\": \"Ada Lovelace\"\n },\n \"account\": {\n \"type\": \"uk\",\n \"sortCode\": \"040506\",\n \"accountNumber\": \"87654321\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.next.orenda.finance/v1/beneficiaries/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"beneficiary\": {\n \"name\": \"Ada Lovelace\"\n },\n \"account\": {\n \"type\": \"uk\",\n \"sortCode\": \"040506\",\n \"accountNumber\": \"87654321\"\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Name verification completed",
"data": {
"match": true,
"name": "Ada Lovelace",
"reasonCode": "MTCH",
"reasonCodeDescription": "Name matches the account holder."
}
}Beneficiaries
Verify a payee's name
Checks whether a name matches the account it belongs to (Confirmation of Payee in the UK, Verification of Payee in the EU) before you save or pay a payee. Send the name as beneficiary.name and the account as an account object: { "type": "uk", "sortCode", "accountNumber" } or { "type": "iban", "iban" }.
match is true for an exact or close match, with the real name in name (it may differ slightly from what you sent). reasonCode is the scheme code, for example MTCH or NMTC, and reasonCodeDescription explains it.
POST
/
v1
/
beneficiaries
/
verify
Verify a payee's name
curl --request POST \
--url https://api.next.orenda.finance/v1/beneficiaries/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"beneficiary": {
"name": "Ada Lovelace"
},
"account": {
"type": "uk",
"sortCode": "040506",
"accountNumber": "87654321"
}
}
'import requests
url = "https://api.next.orenda.finance/v1/beneficiaries/verify"
payload = {
"beneficiary": { "name": "Ada Lovelace" },
"account": {
"type": "uk",
"sortCode": "040506",
"accountNumber": "87654321"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
beneficiary: {name: 'Ada Lovelace'},
account: {type: 'uk', sortCode: '040506', accountNumber: '87654321'}
})
};
fetch('https://api.next.orenda.finance/v1/beneficiaries/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.next.orenda.finance/v1/beneficiaries/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'beneficiary' => [
'name' => 'Ada Lovelace'
],
'account' => [
'type' => 'uk',
'sortCode' => '040506',
'accountNumber' => '87654321'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.next.orenda.finance/v1/beneficiaries/verify"
payload := strings.NewReader("{\n \"beneficiary\": {\n \"name\": \"Ada Lovelace\"\n },\n \"account\": {\n \"type\": \"uk\",\n \"sortCode\": \"040506\",\n \"accountNumber\": \"87654321\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.next.orenda.finance/v1/beneficiaries/verify")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"beneficiary\": {\n \"name\": \"Ada Lovelace\"\n },\n \"account\": {\n \"type\": \"uk\",\n \"sortCode\": \"040506\",\n \"accountNumber\": \"87654321\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.next.orenda.finance/v1/beneficiaries/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"beneficiary\": {\n \"name\": \"Ada Lovelace\"\n },\n \"account\": {\n \"type\": \"uk\",\n \"sortCode\": \"040506\",\n \"accountNumber\": \"87654321\"\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Name verification completed",
"data": {
"match": true,
"name": "Ada Lovelace",
"reasonCode": "MTCH",
"reasonCodeDescription": "Name matches the account holder."
}
}Authorizations
The user's access_token from authentication. The program and environment come from the token.
Body
application/json